Subject: Re: OF properties access ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 19 Jan 2004 20:05:18 +1100

> Further tests show me that it is the if (l2cr == NULL) return; tests
> which aborts the test.
>
> Any idea what is going on here. Clearly we did read the right cpus, but
> it is not possible to read the "l2cr" property.

I think you read the "cpus" parent node and not the child node of
the CPU itself. You can always printk np->full_name to be sure.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/